# Interface RestApiServiceTimeInfo

Time Info returned from REST API Services.

interface RestApiServiceTimeInfo {
endTimeField: string;
startTimeField: string;
timeExtent: [number, number];
timeReference: unknown;
}

#### Hierarchy (view full)

- RestApiServiceTimeInfo
  - RestApiMapServiceTimeInfo

#####
Index

### Properties

endTimeField
startTimeField
timeExtent
timeReference

##
Properties

### endTimeField

endTimeField: string

New in 10.1. The name of the attribute used as end time.

### startTimeField

startTimeField: string

New in 10.1. The name of the attribute used as start time.

### timeExtent

timeExtent: [number, number]

Added at 10.0. The time extent of the service (start/end), represented using "Epoch time": milliseconds since 1970.

### timeReference

timeReference: unknown

Added at 10.0. The time reference of the service.